package org.apache.logging.log4j;

import java.io.Serializable;

public interface Marker extends Serializable {
   String getName();

   Marker[] getParents();

   boolean hasParents();

   boolean isInstanceOf(Marker var1);

   boolean isInstanceOf(String var1);

   Marker addParents(Marker... var1);

   Marker setParents(Marker... var1);

   boolean remove(Marker var1);
}
